Bio::MAGETAB::TermSource(3)

NAME
Bio::MAGETAB::TermSource - MAGE-TAB term source class

SYNOPSIS
 use Bio::MAGETAB::TermSource;

DESCRIPTION
This class is used to describe the sources of controlled terms within a MAGE-TAB document. These term sources may be databases, ontologies, or even just local controlled vocabularies expressed as a flat file. See the BaseClass class for superclass methods.

ATTRIBUTES

name (required)
    The name of the term source (data type: String).

uri (optional)
    A URI specifying where the term source is located (data type: Uri).

version (optional)
    The version of the term source, where applicable (data type: String).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).